Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JTableHeaderOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JTableHeaderOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JTableHeaderOperator
extends JComponentOperator
implements Outputable, Timeoutable

ComponentOperator.BeforeDragTimeout - time to sleep before column moving
ComponentOperator.AfterDragTimeout - time to sleep after column moving
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)

Inner Class Summary
`static class` | `JTableHeaderOperator.JTableHeaderFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JTableHeaderOperator(ContainerOperator cont)` Constructs a JTableHeaderOperator object.
`JTableHeaderOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JTableHeaderOperator object.
`JTableHeaderOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JTableHeaderOperator object.
`JTableHeaderOperator(ContainerOperator cont, int index)` Constructs a JTableHeaderOperator object.
`JTableHeaderOperator(javax.swing.table.JTableHeader b)` Constructor.

Method Summary
`void` | `columnAdded(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)` Maps `JTableHeader.columnAdded(TableColumnModelEvent)` through queue
`int` | `columnAtPoint(java.awt.Point point)` Maps `JTableHeader.columnAtPoint(Point)` through queue
`void` | `columnMarginChanged(javax.swing.event.ChangeEvent changeEvent)` Maps `JTableHeader.columnMarginChanged(ChangeEvent)` through queue
`void` | `columnMoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)` Maps `JTableHeader.columnMoved(TableColumnModelEvent)` through queue
`void` | `columnRemoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)` Maps `JTableHeader.columnRemoved(TableColumnModelEvent)` through queue
`void` | `columnSelectionChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)` Maps `JTableHeader.columnSelectionChanged(ListSelectionEvent)` through queue
`void` | `copyEnvironment(Operator anotherOperator)` Copies all environment (output, timeouts, visualizer) from another operator.
`javax.swing.table.TableColumnModel` | `getColumnModel()` Maps `JTableHeader.getColumnModel()` through queue
`javax.swing.table.TableCellRenderer` | `getDefaultRenderer()` Maps `JTableHeader.getDefaultRenderer()` through queue
`javax.swing.table.TableColumn` | `getDraggedColumn()` Maps `JTableHeader.getDraggedColumn()` through queue
`int` | `getDraggedDistance()` Maps `JTableHeader.getDraggedDistance()` through queue
`java.awt.Rectangle` | `getHeaderRect(int i)` Maps `JTableHeader.getHeaderRect(int)` through queue
`TestOut` | `getOutput()` Returns print output streams or writers.
`java.awt.Point` | `getPointToClick(int columnIndex)` Return a point to click on column header.
`boolean` | `getReorderingAllowed()` Maps `JTableHeader.getReorderingAllowed()` through queue
`boolean` | `getResizingAllowed()` Maps `JTableHeader.getResizingAllowed()` through queue
`javax.swing.table.TableColumn` | `getResizingColumn()` Maps `JTableHeader.getResizingColumn()` through queue
`javax.swing.JTable` | `getTable()` Maps `JTableHeader.getTable()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.plaf.TableHeaderUI` | `getUI()` Maps `JTableHeader.getUI()` through queue
`boolean` | `getUpdateTableInRealTime()` Maps `JTableHeader.getUpdateTableInRealTime()` through queue
`void` | `moveColumn(int moveColumn, int moveTo)` Moves a column to a different location.
`void` | `resizeAndRepaint()` Maps `JTableHeader.resizeAndRepaint()` through queue
`void` | `selectColumn(int columnIndex)` Selects a column.
`void` | `selectColumns(int[] columnIndices)` Selects some columns.
`void` | `setColumnModel(javax.swing.table.TableColumnModel tableColumnModel)` Maps `JTableHeader.setColumnModel(TableColumnModel)` through queue
`void` | `setDefaultRenderer(javax.swing.table.TableCellRenderer tableCellRenderer)` Maps `JTableHeader.setDefaultRenderer(TableCellRenderer)` through queue
`void` | `setDraggedColumn(javax.swing.table.TableColumn tableColumn)` Maps `JTableHeader.setDraggedColumn(TableColumn)` through queue
`void` | `setDraggedDistance(int i)` Maps `JTableHeader.setDraggedDistance(int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setReorderingAllowed(boolean b)` Maps `JTableHeader.setReorderingAllowed(boolean)` through queue
`void` | `setResizingAllowed(boolean b)` Maps `JTableHeader.setResizingAllowed(boolean)` through queue
`void` | `setResizingColumn(javax.swing.table.TableColumn tableColumn)` Maps `JTableHeader.setResizingColumn(TableColumn)` through queue
`void` | `setTable(javax.swing.JTable jTable)` Maps `JTableHeader.setTable(JTable)` through queue
`void` | `setTimeouts(Timeouts times)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.TableHeaderUI tableHeaderUI)` Maps `JTableHeader.setUI(TableHeaderUI)` through queue
`void` | `setUpdateTableInRealTime(boolean b)` Maps `JTableHeader.setUpdateTableInRealTime(boolean)` through queue

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDump, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JTableHeaderOperator

    public JTableHeaderOperator(javax.swing.table.JTableHeader b)

  Constructor.
  Parameters:
    `b` - a component

### JTableHeaderOperator

    public JTableHeaderOperator(ContainerOperator cont,
                                ComponentChooser chooser,
                                int index)

  Constructs a JTableHeaderOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JTableHeaderOperator

    public JTableHeaderOperator(ContainerOperator cont,
                                ComponentChooser chooser)

  Constructs a JTableHeaderOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JTableHeaderOperator

    public JTableHeaderOperator(ContainerOperator cont,
                                int index)

  Constructs a JTableHeaderOperator object.
  Parameters:
    `cont` - a container
    `index` - an index between appropriate ones.

### JTableHeaderOperator

    public JTableHeaderOperator(ContainerOperator cont)

  Constructs a JTableHeaderOperator object.
  Parameters:
    `cont` - a container

Method Detail

### setTimeouts

    public void setTimeouts(Timeouts times)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### selectColumn

    public void selectColumn(int columnIndex)

  Selects a column.
  Parameters:
    `columnIndex` - an index of a column to select.

### selectColumns

    public void selectColumns(int[] columnIndices)

  Selects some columns.
  Parameters:
    `columnIndices` - indices of columns to select.

### moveColumn

    public void moveColumn(int moveColumn,
                           int moveTo)

  Moves a column to a different location.
  Parameters:
    `moveColumn` - an original column index.
    `moveTo` - a desctination column index.

### getPointToClick

    public java.awt.Point getPointToClick(int columnIndex)

  Return a point to click on column header.
  Parameters:
    `columnIndex` - an index of a column to click on.
  Returns:
    the point to click.

### copyEnvironment

    public void copyEnvironment(Operator anotherOperator)

  Description copied from class: `Operator`
  Copies all environment (output, timeouts, visualizer) from another operator.
  Overrides:
    `copyEnvironment` in class `ComponentOperator`
  Following copied from class: `org.netbeans.jemmy.operators.Operator`
  Parameters:
    `anotherOperator` - an operator to copy the environment to.

### setTable

    public void setTable(javax.swing.JTable jTable)

  Maps `JTableHeader.setTable(JTable)` through queue

### getTable

    public javax.swing.JTable getTable()

  Maps `JTableHeader.getTable()` through queue

### setReorderingAllowed

    public void setReorderingAllowed(boolean b)

  Maps `JTableHeader.setReorderingAllowed(boolean)` through queue

### getReorderingAllowed

    public boolean getReorderingAllowed()

  Maps `JTableHeader.getReorderingAllowed()` through queue

### setResizingAllowed

    public void setResizingAllowed(boolean b)

  Maps `JTableHeader.setResizingAllowed(boolean)` through queue

### getResizingAllowed

    public boolean getResizingAllowed()

  Maps `JTableHeader.getResizingAllowed()` through queue

### getDraggedColumn

    public javax.swing.table.TableColumn getDraggedColumn()

  Maps `JTableHeader.getDraggedColumn()` through queue

### getDraggedDistance

    public int getDraggedDistance()

  Maps `JTableHeader.getDraggedDistance()` through queue

### getResizingColumn

    public javax.swing.table.TableColumn getResizingColumn()

  Maps `JTableHeader.getResizingColumn()` through queue

### setUpdateTableInRealTime

    public void setUpdateTableInRealTime(boolean b)

  Maps `JTableHeader.setUpdateTableInRealTime(boolean)` through queue

### getUpdateTableInRealTime

    public boolean getUpdateTableInRealTime()

  Maps `JTableHeader.getUpdateTableInRealTime()` through queue

### setDefaultRenderer

    public void setDefaultRenderer(javax.swing.table.TableCellRenderer tableCellRenderer)

  Maps `JTableHeader.setDefaultRenderer(TableCellRenderer)` through queue

### getDefaultRenderer

    public javax.swing.table.TableCellRenderer getDefaultRenderer()

  Maps `JTableHeader.getDefaultRenderer()` through queue

### columnAtPoint

    public int columnAtPoint(java.awt.Point point)

  Maps `JTableHeader.columnAtPoint(Point)` through queue

### getHeaderRect

    public java.awt.Rectangle getHeaderRect(int i)

  Maps `JTableHeader.getHeaderRect(int)` through queue

### getUI

    public javax.swing.plaf.TableHeaderUI getUI()

  Maps `JTableHeader.getUI()` through queue

### setUI

    public void setUI(javax.swing.plaf.TableHeaderUI tableHeaderUI)

  Maps `JTableHeader.setUI(TableHeaderUI)` through queue

### setColumnModel

    public void setColumnModel(javax.swing.table.TableColumnModel tableColumnModel)

  Maps `JTableHeader.setColumnModel(TableColumnModel)` through queue

### getColumnModel

    public javax.swing.table.TableColumnModel getColumnModel()

  Maps `JTableHeader.getColumnModel()` through queue

### columnAdded

    public void columnAdded(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)

  Maps `JTableHeader.columnAdded(TableColumnModelEvent)` through queue

### columnRemoved

    public void columnRemoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)

  Maps `JTableHeader.columnRemoved(TableColumnModelEvent)` through queue

### columnMoved

    public void columnMoved(javax.swing.event.TableColumnModelEvent tableColumnModelEvent)

  Maps `JTableHeader.columnMoved(TableColumnModelEvent)` through queue

### columnMarginChanged

    public void columnMarginChanged(javax.swing.event.ChangeEvent changeEvent)

  Maps `JTableHeader.columnMarginChanged(ChangeEvent)` through queue

### columnSelectionChanged

    public void columnSelectionChanged(javax.swing.event.ListSelectionEvent listSelectionEvent)

  Maps `JTableHeader.columnSelectionChanged(ListSelectionEvent)` through queue

### resizeAndRepaint

    public void resizeAndRepaint()

  Maps `JTableHeader.resizeAndRepaint()` through queue

### setDraggedColumn

    public void setDraggedColumn(javax.swing.table.TableColumn tableColumn)

  Maps `JTableHeader.setDraggedColumn(TableColumn)` through queue

### setDraggedDistance

    public void setDraggedDistance(int i)

  Maps `JTableHeader.setDraggedDistance(int)` through queue

### setResizingColumn

    public void setResizingColumn(javax.swing.table.TableColumn tableColumn)

  Maps `JTableHeader.setResizingColumn(TableColumn)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD